Loading...
Searching...
No Matches
mbedtls_ssl_session Struct Reference

`#include <ssl.h>`

Collaboration diagram for mbedtls_ssl_session:
[legend]

## Data Fields

unsigned char | private_mfl_code
unsigned char | private_exported
uint8_t | private_endpoint
mbedtls_ssl_protocol_version | private_tls_version
mbedtls_time_t | private_start
int | private_ciphersuite
size_t | private_id_len
unsigned char | private_id [32]
unsigned char | private_master [48]
mbedtls_x509_crt * | private_peer_cert
uint32_t | private_verify_result
unsigned char * | private_ticket
size_t | private_ticket_len
uint32_t | private_ticket_lifetime
mbedtls_ms_time_t | private_ticket_creation_time
uint32_t | private_ticket_age_add
uint8_t | private_ticket_flags
uint8_t | private_resumption_key_len
unsigned char | private_resumption_key [MBEDTLS_SSL_TLS1_3_TICKET_RESUMPTION_KEY_LEN]
char * | private_hostname
mbedtls_ms_time_t | private_ticket_reception_time
int | private_encrypt_then_mac
mbedtls_ssl_tls13_application_secrets | private_app_secrets

## Detailed Description

Definition at line 1231 of file ssl.h.

## Field Documentation

## private_app_secrets

mbedtls_ssl_tls13_application_secrets mbedtls_ssl_session::private_app_secrets

Definition at line 1327 of file ssl.h.

## private_ciphersuite

int mbedtls_ssl_session::private_ciphersuite

chosen ciphersuite

Definition at line 1252 of file ssl.h.

## private_encrypt_then_mac

int mbedtls_ssl_session::private_encrypt_then_mac

flag for EtM activation

Definition at line 1323 of file ssl.h.

## private_endpoint

uint8_t mbedtls_ssl_session::private_endpoint

0: client, 1: server

Definition at line 1242 of file ssl.h.

## private_exported

unsigned char mbedtls_ssl_session::private_exported

< RecordSizeLimit received from the peer

Definition at line 1241 of file ssl.h.

## private_hostname

char* mbedtls_ssl_session::private_hostname

host name binded with tickets

Definition at line 1304 of file ssl.h.

## private_id

unsigned char mbedtls_ssl_session::private_id[32]

session identifier

Definition at line 1254 of file ssl.h.

## private_id_len

size_t mbedtls_ssl_session::private_id_len

session id length

Definition at line 1253 of file ssl.h.

## private_master

unsigned char mbedtls_ssl_session::private_master[48]

the master secret

Definition at line 1255 of file ssl.h.

## private_mfl_code

unsigned char mbedtls_ssl_session::private_mfl_code

MaxFragmentLength negotiated by peer

Definition at line 1233 of file ssl.h.

## private_peer_cert

mbedtls_x509_crt* mbedtls_ssl_session::private_peer_cert

peer X.509 cert chain

Definition at line 1259 of file ssl.h.

## private_resumption_key

unsigned char mbedtls_ssl_session::private_resumption_key[MBEDTLS_SSL_TLS1_3_TICKET_RESUMPTION_KEY_LEN]

Definition at line 1301 of file ssl.h.

## private_resumption_key_len

uint8_t mbedtls_ssl_session::private_resumption_key_len

resumption_key length

Definition at line 1300 of file ssl.h.

## private_start

mbedtls_time_t mbedtls_ssl_session::private_start

start time of current session

Definition at line 1250 of file ssl.h.

## private_ticket

unsigned char* mbedtls_ssl_session::private_ticket

RFC 5077 session ticket

Definition at line 1271 of file ssl.h.

## private_ticket_age_add

uint32_t mbedtls_ssl_session::private_ticket_age_add

Randomly generated value used to obscure the age of the ticket

Definition at line 1298 of file ssl.h.

## private_ticket_creation_time

mbedtls_ms_time_t mbedtls_ssl_session::private_ticket_creation_time

When a ticket is created by a TLS server as part of an established TLS session, the ticket creation time may need to be saved for the ticket module to be able to check the ticket age when the ticket is used. That's the purpose of this field. Before creating a new ticket, an Mbed TLS server set this field with its current time in milliseconds. This time may then be saved in the session ticket data by the session ticket writing function and recovered by the ticket parsing function later when the ticket is used. The ticket module may then use this time to compute the ticket age and determine if it has expired or not. The Mbed TLS implementations of the session ticket writing and parsing functions save and retrieve the ticket creation time as part of the session ticket data. The session ticket parsing function relies on the mbedtls_ssl_session_get_ticket_creation_time() API to get the ticket creation time from the session ticket data.

Definition at line 1294 of file ssl.h.

## private_ticket_flags

uint8_t mbedtls_ssl_session::private_ticket_flags

Ticket flags

Definition at line 1299 of file ssl.h.

## private_ticket_len

size_t mbedtls_ssl_session::private_ticket_len

session ticket length

Definition at line 1272 of file ssl.h.

## private_ticket_lifetime

uint32_t mbedtls_ssl_session::private_ticket_lifetime

ticket lifetime hint

Definition at line 1273 of file ssl.h.

## private_ticket_reception_time

mbedtls_ms_time_t mbedtls_ssl_session::private_ticket_reception_time

Time in milliseconds when the last ticket was received.

Definition at line 1314 of file ssl.h.

## private_tls_version

mbedtls_ssl_protocol_version mbedtls_ssl_session::private_tls_version

TLS version negotiated in the session. Used if and when renegotiating or resuming a session instead of the configured minor TLS version.

Definition at line 1247 of file ssl.h.

## private_verify_result

uint32_t mbedtls_ssl_session::private_verify_result

verification result

Definition at line 1268 of file ssl.h.

The documentation for this struct was generated from the following file:

- ssl.h